Subject: Re: [PATCH] net: macb: use correct __be32 and __be16 types

From: Jakub Kicinski <[email-masked]>
Date: Fri, 19 May 2023 15:28:07 -0700

On Sat, 20 May 2023 06:19:39 +0800 Min-Hua Chen wrote:
> This patch fixes the following sparse warnings. No functional changes.
> 
> Use cpu_to_be16() and cpu_to_be32() to convert constants before comparing
> them with __be16 type of psrc/pdst and __be32 type of ip4src/ip4dst.
> Apply be16_to_cpu() in GEM_BFINS().

same story as with your stmmac patch, the warning is a false positive